import { defineNuxtModule, createResolver, addComponent } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "nuxt-icons",
    configKey: "nuxtIcons",
    compatibility: {
      nuxt: "^3.0.0"
    }
  },
  setup(options, nuxt) {
    const { resolve } = createResolver(import.meta.url);
    addComponent({
      name: "nuxt-icon",
      global: true,
      filePath: resolve("./runtime/components/nuxt-icon.vue")
    });
  }
});

export { module as default };
